Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517005 - ld.so is too slow
Summary: ld.so is too slow
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: glibc
Version: 7.7
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: rc
: ---
Assignee: glibc team
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-23 21:14 UTC by isrvr-lptp1
Modified: 2018-11-20 09:24 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-20 09:24:02 UTC


Attachments (Terms of Use)

Description isrvr-lptp1 2017-11-23 21:14:39 UTC
Description of problem:
As the problem says, ld.so is too slow

There are already several instances that points that ld.so is too slow, check this links

https://github.com/dotnet/cli/issues/6241

https://answers.unrealengine.com/questions/478823/unreal-engine-huge-performance-bottleneck.html

Version-Release number of selected component (if applicable):
All Red had derivative is affected

How reproducible:
Easy to reproduce

Steps to Reproduce:
1. Get benchmarking software such as oprofile
2. Run any program for several minutes
3. Capture the initial runtime as well as all runtime information
4. Observe that ld.so takes up a lot of execution

Actual results:
ld.so is slow

Expected results:
ld.so should be fast

Additional info:

Comment 2 Florian Weimer 2018-10-22 14:42:21 UTC
Please provide additional information, including the glibc RPM package version, the version of the current kernel, and the architecture.  Please also attach a self-contained reproducer, preferably not involving dotnet.  If it involves dotnet, please provide the exact RPM package version(s) for that as well, and the commands you have invoked.  Thanks.

If you are customer, consider open a customer case here:

https://access.redhat.com/support/cases/

Comment 4 Florian Weimer 2018-11-20 09:24:02 UTC
Requested information was not provided; closing this bug.


Note You need to log in before you can comment on or make changes to this bug.